{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"$ref": "#/definitions/hotelBookingModificationResponse",
	"definitions": {
		"hotelBookingModificationResponse": {
			"description": "Service the represent the modified reservation item which has been uniquely identified based on tourReference number.",
			"type": "object",
			"properties": {
				"versionNumber": {
					"$ref": "commonTypes.json#/definitions/schemaVersion"
				},
				"responseAuditInfo": {
					"$ref": "commonTypes.json#/definitions/responseAuditInfo"
				},
				"warnings": {
					"$ref": "commonTypes.json#/definitions/warnings"
				},
				"status": {
					"$ref": "commonTypes.json#/definitions/TransactionStatusType"
				},
				"modifiedItem": {
					"type": "object",
					"properties": {
						"modResponse": {
							"$ref": "modifyCommonTypes.json#/definitions/modifyResponseType"
						},
						"paymentInfo": {
							"$ref": "bookingCommonTypes.json#/definitions/paymentResponseType"
						}
					},
					"required": [
						"modResponse"
					],
					"additionalProperties": false
				},
				"errors": {
					"$ref": "commonTypes.json#/definitions/errors"
				}
			},
			"required": [
				"versionNumber",
				"responseAuditInfo",
				"modifiedItem"
			],
			"additionalProperties": false,
			"oneOf": [
				{
					"required": [
						"errors"
					]
				},
				{
					"required": [
						"modifiedItem"
					]
				}
			],
			"javaType": "uk.co.miki.eBiz.msi.service.json70.schema.hotelbookingmodification.HotelBookingModificationResponse"
		}
	}
}